---
id: 65687e294ef2bdca637fb213
title: Step 32
challengeType: 20
dashedName: step-32
---

# --description--

Return the result of comparing `0` to `total` modulo `10`.

# --hints--

You should have `return 0 == total % 10` within the `verify_card_number` function.

```js
({
    test: () => {
        const transformedCode = code.replace(/\r/g, "");
        const verify_card_number = __helpers.python.getDef("\n" + transformedCode, "verify_card_number");
        const { function_body } = verify_card_number;

        const acceptableMatches = [
            /return +0 *== *total *% *10/,
            /return +total *% *10 *== *0/
        ];

        const someMatch = acceptableMatches.some((match) => {
            return match.test(function_body);
        });

        assert.isTrue(someMatch);
    }
})
```

# --seed--

## --seed-contents--

```py
def verify_card_number(card_number):
    sum_of_odd_digits = 0
    card_number_reversed = card_number[::-1]
    odd_digits = card_number_reversed[::2]

    for digit in odd_digits:
        sum_of_odd_digits += int(digit)

    sum_of_even_digits = 0
    even_digits = card_number_reversed[1::2]
    for digit in even_digits:
        number = int(digit) * 2
        if number >= 10:
            number = (number // 10) + (number % 10)
        sum_of_even_digits += number
--fcc-editable-region--
    total = sum_of_odd_digits + sum_of_even_digits
    print(total)

--fcc-editable-region--
def main():
    card_number = '4111-1111-4555-1142'
    card_translation = str.maketrans({'-': '', ' ': ''})
    translated_card_number = card_number.translate(card_translation)

    verify_card_number(translated_card_number)

main()
```
